# Podcast filter
This program takes a wav file and produces the transcript of the audio file. The goal is to be able to filter the parts of a podcast that you're interested in by using a keyword list. But it's still a work in progress.

## Installation on GNU+linux
### Step 1
Clone the repository

### Step 2
Go to the folder of the repository and reate a virtual environment
```bash
python -m venv <name>
```
### Step 3
Activate the environment
```bash
source <name>/bin/activate
```

### Step 4
Install the requirements (there's a ton because we use the whisper engine for speech to text)
```bash
pip install -r requirements.txt
```

## Usage
Change the name of the file you want to transcribe in the code, make sure it's on the same folder as the program (or give the path in the code). Run the code `python app.py`. Enjoy the transcript.
